{
    attributes = (
        {
            columnName = "NO_INDIVIDU"; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "initcap(individu.nomUsuel)||' '||initcap(individu.prenom)"; 
            externalType = VARCHAR2; 
            name = nomPrenom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 400; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "tyet_id"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UTL_FERMETURE"; 
            externalType = DATE; 
            name = utlFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_OUVERTURE"; 
            externalType = DATE; 
            name = utlOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }
    ); 
    attributesUsedForLocking = (utlFermeture, utlOrdre, persId, utlOuverture, noIndividu, tyetId, nomPrenom); 
    className = "org.cocktail.application.serveur.eof.EOUtilisateur"; 
    classProperties = (
        utlFermeture, 
        utlOrdre, 
        persId, 
        typeEtat, 
        utilisateurOrgans, 
        utlOuverture, 
        noIndividu, 
        utilisateurFonctions, 
        individu, 
        tyetId, 
        nomPrenom, 
        personne
    ); 
    externalName = "jefy_admin.UTILISATEUR"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            utlFermeture, 
            utlOrdre, 
            persId, 
            typeEtat, 
            utilisateurOrgans, 
            utlOuverture, 
            noIndividu, 
            utilisateurFonctions, 
            individu, 
            tyetId, 
            Attribute, 
            nomPrenom, 
            personne, 
            "individu_personne_persNomPrenom", 
            "personne_persNomPrenom"
        ); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOUtilisateur"; 
        "_nameInObjectStore" = Utilisateur; 
        uniqueID = 191824893; 
    }; 
    isReadOnly = Y; 
    name = "ca_Utilisateur"; 
    primaryKeyAttributes = (utlOrdre); 
    relationships = (
        {
            destination = "ca_IndividuUlr"; 
            internalInfo = {uniqueID = 191824379; }; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = individu; 
        }, 
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = "ca_Personne"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = personne; 
        }, 
        {
            destination = "ca_TypeEtat"; 
            internalInfo = {"_nameInObjectStore" = Relationship; uniqueID = 191824401; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }, 
        {
            destination = "ca_UtilisateurFonction"; 
            internalInfo = {uniqueID = 191824390; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateurFonctions; 
        }, 
        {
            destination = "ca_UtilisateurOrgan"; 
            internalInfo = {uniqueID = 191824394; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateurOrgans; 
        }
    ); 
    userInfo = {fetchSpecificationDictionary = {}; }; 
}
